GRPCK(8)

NOM
grpck - Vérifier l'intégrité des fichiers d'administration des groupes

SYNOPSIS

grpck [-r] [groupe [ shadow ]]

grpck [-s] [groupe [ shadow ]]

DESCRIPTION

The grpck command verifies the integrity of the system authentication information. All entries in /etc/group and /etc/gshadow are checked to see that the entry has the proper format and valid data in each field. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Voici les vérifications effectuées :

    • nombre correct de champs

    • unicité des noms de groupe

    • validité des membres et administrateurs

Une erreur dans le nombre de champs ou la non unicité d'un nom de groupe sera fatale. Si le nombre de champs n'est pas correct, il sera demandé à l'utilisateur de supprimer la ligne. Si l'utilisateur ne répond pas par l'affirmative, les vérifications suivantes ne seront pas effectuées. Il sera également demandé de supprimer les entrées correspondant aux noms de groupe redondants, mais dans ce cas, les autres vérifications seront effectuées. Toutes les autres erreurs ne sont que des avertissements et l'utilisateur est encouragé à utiliser groupmod pour les corriger.

Les commandes qui opèrent sur le fichier /etc/group ne peuvent pas modifier les entrées corrompues ou redondantes. Grpck doit être utilisé dans ce cas pour supprimer ces entrées.

OPTIONS

The options which apply to the grpck command are:

-r
    Execute the grpck command in read-only mode. This causes all questions regarding changes to be answered no without user intervention.

-s
    Sort entries in /etc/group and /etc/gshadow by GID.

By default, grpck operates on /etc/groupand /etc/gshadow. The user may select alternate files with the group and shadow parameters.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

VOIR AUSSI

group(5), gshadow(5) passwd(5), shadow(5), groupmod(8).

VALEURS DE RETOUR

La commande grpck retourne les valeurs suivantes en quittant :

0
    succès

1
    erreur de syntaxe

2
    une entrée de groupe ou plus est incorrecte

3
    impossible d'ouvrir les fichiers group

4
    impossible de verrouiller les fichiers group

5
    impossible de mettre à jour les fichiers group